import "dotenv/config";
import { defineConfig } from "astro/config";
import tailwind from "@astrojs/tailwind";
import solidJs from "@astrojs/solid-js";
import sitemap from "@astrojs/sitemap";
import node from "@astrojs/node";

import vercel from "@astrojs/vercel";

// https://astro.build/config
export default defineConfig({
  site: "https://new.sambekiel.com",
  integrations: [
    tailwind({
      nesting: true,
    }),
    solidJs(),
    sitemap(),
  ],
  output: "server",
  adapter: node({
    mode: "standalone",
  }),
  vite: {
    server: {
      allowedHosts: true,
      // allowedHosts: [
      //   "sambekiel-front.onrender.com",
      //   "sambekiel.com",
      //   ".sambekiel.com",
      //   ".0.0.0.0",
      // ],
    },
  },
});
